Vítejte v programu Yap 6.0

Vítejte v nové verzi počítačového slovníku YAP 6.0.

Je běžným zvykem, že se při každé nové verzi vyzdvihují novinky a popisují změny. Yap 6.0 nevychází ze starších 16-bitových projektů, ale celý byl vyvinut úplně znovu.

Je plně kompatibilní s Windows 95, Windows 98, Windows NT 4.0 a Windows 2000. Využívá možnosti, které tyto systémy nabízejí a vám, uživatelům, usnadňují jeho používání.

Mezi hlavní charakteristiky programu Yap 6.0 patří
úplně nový, přehlednější design
nové fonty
možnost ponechat program pracovat v pozadí
nové prohledávací metody
sjednocení vzhledu komerčních a uživatelských slovníků
všechny slovníky doplněny novými atributy
možnost zaznamenat hesla do Memoboxu a je dále zpracovávat
funkce Drag & Drop pro přenášení slov

Program obsahuje nápovědu, kterou v případě potřeby vyvolat klávesou F1.

Věříme, že se vám Yap 6.0 zalíbí a práce s ním vás uspokojí.

Adicom CZ, spol. s r.o.
Vrbova 19, 147 00 Praha 4
e-mail: shop@adicom.cz
WWW stránky Adicom: http://www.adicom.cz
Registrace programu: http://www.adicom.cz/registrace
Faxové číslo pro registrace: 02 / 4447 1641

(c) Adicom 2000, Veškerá práva vyhrazena


První pohled

První pohled na Yap 6.0

Design nového programu Yap odráží nejen dlouholeté zkušenosti při vývoji počítačových slovníků, ale rovněž požadavky uživatelů. Během několika posledních let jsme shromažďovali nápady, připomínky i kritiku a výsledkem je Yap 6.0.

Po prvním startu programu se před vámi objeví následující okno (pravděpodobně s menším množstvím nainstalovaných slovníků):

V horní části programu naleznete menu, pod kterým jsou panely nástrojů s téměř shodnými funkcemi. Do spodního panelu je vloženo pole pro vkládání hledaného textu.

Spodní části okna naleznete záložky, které zobrazují nainstalované slovníky. Kliknutím na záložku vyberete jiný titul. Snadné, že?

Záložky Index / Historie / Global / Full vám umožňují volit pohled na obsah slovníku či výsledky hledání. Tyto záložky můžete kdykoliv přehazovat. Pokud vyvoláte operaci, jejíž výsledek je zobrazen v jiné záložce, automaticky se vrátí zpět.

To hlavní je v pravé části okna. Zobrazení překladu resp. výkladu hesla. Díky novým fontům a přeformátování slovníků je nyní text mnohem čitelnější.


Popis menu a panelů nástrojů

Panely nástrojů vypadají následovně (pro lepší zobrazení jsou všechna tlačítka k dispozici, což v praxi nemůže nastat)

Tlačítka jsou rozdělena do skupin, jejich význam je následující:

Nastavení programu
 | Správa slovníků Pomocí tohoto manažéra můžete instalovat nové slovníky a vytvářet vlastní.
 | Nastavení pořadí prohledávání Při prohledávání skupiny je nutné určit jaké slovníky a v jakém pořadí budete prohledávat
 | Nastavení vlastností programu Zobrazení, adresáře se slovníky, způsoby prohledávání a další
Schránka/Clipboard
 | Vyjmout text Funkce vyjme vybraný text a přesune ho do schránky (Clipboardu).
 | Kopírovat text Funkce zkopíruje vybraný text do schránky (Clipboardu).
 | Vložit text Funkce vloží vybraný text ze schránky (Clipboardu) do textu.
Memobox
 | Přidat heslo do Memoboxu Funkce přidá aktuální heslo do Memoboxu.
 | Zobrazit obsah Memoboxu Funkce zobrazí obsah Memoboxu.
 | Tisk Memoboxu Funkce vytiskne obsah Memoboxu.
Editace hesel
 | Přidat heslo do slovníku Funkce přidá nové heslo do slovníku.
 | Opravit heslo ve slovníku Funkce zobrazí editor pro opravu hesla.
 | Smazání hesla ve slovníku Funkce smaže heslo ve slovníku.
 | Kopírování hesla Funkce kopíruje heslo do jiného slovníku.
 | Přenášení hesla Funkce přenese heslo do jiného slovníku.
Režim 'Překlad v textu'
 | Překlad v textu Zapínání/vypínání režimu 'Překlad v textu'.
Informace o slovníku
 | Informace o slovníku Funkce zobrazí informace o slovníkovém titulu.
 | Legenda ke slovníku Funkce zobrazí legendu ke slovníkovému titulu (zkratky, nepravidelné tvary,...).
Prohledávání
 | Hledání ve skupině Funkce prohledá skupinu sloníků a zobrazí výsledek.
 | Fulltextové hledání Funkce prohledá titul/tituly fulltextově a zobrazí výsledek.
Historie
 | Krok zpět Funkce se vrátí v historii o jedno slovo zpět.
 | Krok vpřed Funkce se posune v historii o jedno slovo vpřed.
Pohyb ve slovníku
 | První heslo Funkce zobrazí první heslo ve slovníku.
 | Předchozí heslo Funkce zobrazí předchozí heslo ve slovníku.
 | Další heslo Funkce zobrazí další heslo ve slovníku.
 | Poslední heslo Funkce zobrazí poslední heslo ve slovníku.
Položky menu jsou až na 'Nápovědu' pojmenovány identicky. Popis odpovídá funkcím vyvolávaných z panelu nástrojů.


Popis záložek

Jednou z designových novinek jsou záložky, který umožňují zobrazit různé pohledy na slovníky resp. nalezená hesla.

Každá záložka si uchovává svůj obsah a můžete se na ni kdykoliv vrátit, pokud jste mezitím nevyvolali některou z operací, která její obsah přepíše.

Index
zobrazí seznam hesel v právě vybraném slovníku.

Historie
zobrazuje seznam posledních 100 hesel, která byla zobrazena.

Global
zobrazí seznam hesel nalezených při globálním hledání ve skupině slovníků.

Full
zobrazí seznam hesel nalezených při fulltextovém prohledávání (ve stromové struktuře).


Správa slovníků

Správa slovníků je jediné místo, ve kterém můžete vytvářet nové slovníky, modifikovat jejich parametry, mazat je či instalovat nové náplně z CD. V seznamu vidíte všechny slovníky, které máte právě nainstalovány.

Nový
vyvolá dialog pro vytváření nového slovníku.

Opravit
vyvolá dialog, ve kterém můžete opravit informace o slovníku.

Smazat
smaže vybraný slovník.

Instalovat
instaluje nové náplně z CD disku.


Instalace slovníků z CD

Vysoká kapacita CD disku umožňuje uložení všech nabízených slovníků na jedno médium a tím i zjednodušení instalace nových náplní. Instalace slovníku se skládá z následujících kroků.
1. V hlavním menu otevřete položku Soubor / Správa slovníků. Před vámi se zobrazí následující dialog.

2. Ujistěte se, že máte CD disk s programem Yap 6.0 v CD mechanice. Stiskněte tlačítko Instalovat.

3. V dialogu, který se před vámi zobrazí, byste měli vidět obsah CD disku. Pokud ne, změňte Aktuálně vybraný disk. Po několika sekundách dojde k zobrazení obsahu. Ze zobrazené nabídky vyberte slovník, na který vlastníte licenci a stiskněte tlačítko Instalovat.

4. Vložte aktivační číslo, které jste získali po zakoupení licence. Začátek máte předvyplněn. Poté stiskněte tlačítko OK pro potrvzení.
5. Ve spodní části dialogu 'Instalace z CD' můžete sledovat časový průběh instalace slovníkového titulu. Po dokončení instalace je nový titul zařazen a vy ho můžete okamžitě začít používat.


Vytvoření uživatelského slovníku

Vytvoření uživatelského slovníku je relativně jednoduchá věc, i když na rozdíl od minulé verze programu Yap musíte nyní popsat nový slovník mnohem podrobněji. Poté, co jste vyvolali správce slovníků a stiskli volbu Nový rozvinul se před vámi následující dialog:

Rozhodně se nelekejte množství polí, která musíte vyplnit. V zásadě se jedná je o vyplnění názvu slovníku, jazykového směru a informací pro copyright. Ve spodní části je navíc informace o verzi a roku vytvoření.

Tlačítko English vyvolá dialog pro vložení anglické verze názvu slovníku. Tato informace může být užitečná pro uživatele programu Yap v anglické verzi, kde se používají anglické ekvivalenty názvů.

Všechny tyto informace budete moci kdykoliv změnit.


Nastavení programu

Doporučujeme projít dialog pro nastavení programu YAP, který vyvoláte z menu či panelu nástrojů. Obsahuje tři záložky:

Obecné parametry
Nastavuje chování programu a způsob získávání informací o programu Yap z internetu.

Prohledávání
Nastavuje parametry pro překlad v textu, globální a fulltextové hledání.

Adresáře
Definuje adresáře pro umístění slovníků.


Obecné parametry

Dialog pro nastavení obecných parametrů vypadá následovně:

ObecneParametry.gif (10937 bytes)

Automatické spuštění při startu Windows
program Yap se vždy spustí při startu systému. Pokud zaškrtnete současně i volbu Spouštět Yap na pozadí, objeví se pouze malá ikonka ve spodním nástrojovém pruhu.

Spouštět Yap na pozadí
při startu programu se aplikace nezobrazí, ale místo ní se ve spodním nástrojovém pruhu Windows objeví malá ikonka. Dvojklikem na tuto ikonu můžete Yap vyvolat, při minimalizaci programu Yap opět zmizí z obrazovky a je reprezentován pouze touto ikonkou.

Zobrazit úvodní okno
jak název napovídá, můžete rozhodnout, zda chcete, aby úvodní okno aplikace bylo zobrazováno či nikoliv.

Číst novinky o Yapu z internetu (tato funkce bude doplněna později)
umožňuje automatické zjišťování nových informací o programu YAP na serveru firmy Adicom. Následně je možné vložit časový interval, po kterém bude ke čtení informací docházet.

Žádat o svolení před přenosem dat (tato funkce bude doplněna později)
Kdykoli bude YAP zahajovat přenos dat ze serveru Adicom, bude vyžadovat vaše svolení.


Parametry prohledávání

Dialog pro nastavení parametrů prohledávání vypadá následovně:

Sekce 'Překlad v textu':

Ignorovat počáteční mezery
při překládání textu, který vložil uživatel do schránky (Clipboard) se často stává, že textu předcházejí mezery. Ty samozřejmě ovlivňují prohledávání. Doporučujeme tuto volbu ponechat zapnutou.

Ponechat pouze písmena
podobná situace nastává, když se do schránky dostanou i znaky, které kolikrát ani nemusí být v textu viditelné. Doporučujeme zapnout tuto volbu, která odfiltruje různé systémové znaky, interpunkční znaménka a čísla.

Hledat globálně, zobrazit maximální shodu
pokud tuto zapnete, bude se v režimu 'Překlad v textu' využívat globální hledání ve skupině slovníků. V případě, že tato volba není zapnuta, prohledává se pouze aktuální slovník.

Sekce 'Globální hledání':

Zastavit prohledávání při 1. shodě
při prohledávání velké skupiny slovníků nastává často situace, že se hledané slovo vyskytuje ve slovnících vícekrát. Pokud vám při hledání stačí nalezení 1. výskytu hledaného slova, zaškrtněte tuto volbu.

Sekce 'Fulltextové hledání':

Implicitně nastaven operátor AND
při vkládání několika slov pro fulltextové hledání buď vložíte výraz ve tvaru

slovo1 AND slovo2 AND slovo3

nebo operátory vypustíte

slovo1 slovo2 slovo3

a bude použit impicitní operátor. Pokud je tato volba zapnuta, je jím operátor AND (všechna slova se musí vyskytovat), v opačném případě OR (alespoň 1. slovo se musí vyskytovat).

Maximální vzdálenost slov pro NEAR
pokud ve výrazu fulltextového hledání použijete operátor NEAR, definuje toto číslo maximální vzdálenost mezi hledanými slovy. Více se dozvíte ve Fulltextovém hledání.


Parametry - adresáře

Dialog pro nastavení adresářů vypadá následovně:

Adresář na klientském počítači
nastavuje adresář, ve kterém budou umístěny slovníky. Nedoporučujeme tuto hodnotu měnit.


Hledání ve slovnících

Shodneme se asi na tom, že hledání je u počítačových slovníku ta nejdůležitější funkce. Proto jsme se na ni zaměřili a připravili pro vás několik možností, jak v Yapu hledat.

rychlé (lokální) hledání, hledá pouze v aktuálním slovníku

globální hledání ve skupině slovníků

fulltextové hledání v celém textu

hledání v textu, při kterém je Yap na aplikací, ve které pracujete

Tyto hledání jsou doplněny dalšími možnostmi a volbami. Můžete si například nechat prohledat všechny slovníky z angličtiny do jiného jazyka.


Rychlé hledání

Rychlé (lokální hledání) pracuje okamžitě, jakmile začnete psát text do vstupní řádky. V právě vybraném slovníku je nalezeno heslo, které se se zadaným nejvíce shoduje.

Pokud se chcete porozhlédnout po okolí nalezeného slova využijte funkcí pro posun.


Pořadí prohledávání skupiny

Dříve než se vrhnete na prohledávání skupiny slovníků, musíte tuto skupinu definovat. V nové verzi programu Yap je to snadné. V menu nebo liště nástrojů vyvolejte funkci Skupiny slovníků. Objeví se před vámi následující dialog:

Vy pravděpodobně uvidíte jinou skupinu slovníků, to ale nevadí. Slovníky, které chcete prohledávat, jednoduše zaškrtněte. Poté definujte pořadí. Slovníky budou prohledávány v pořadí od shora dolů. To znamená, že slovník, který chcete prohledávat jako první umístíte do nejvyšší pozice ze všech zaškrtnutých slovníků. Pro posun použijte funkce Nahoru a Dolů.


Globální hledání

Vložte hledané heslo do vstupní řádky a v panelu nástrojů či menu stiskněte funkci Globální hledání.

Program projde vámi nadefinovanou skupinu, přihlédne k přednastaveným parametrům a v záložce Global zobrazí výsledky hledání. V seznamu nalezených hesel se můžete pohybovat a klikat na hesla, která chcete zobrazit.

Pokud je po vyvolání funkce Globálního hledání seznam prázdný, může to znamenat buď, že žádné ani podobné heslo neexistuje nebo nemáte nadefinovanou skupinu slovníků.

Novinkou v Yapu 6.0 je funkce, kterou vyvoláte buď přímo z menu položkou Globální hledání (jazykově) nebo v panelu nástrojů Globální hledání se současným stiskem klávesy Ctrl. Ta prohledává všechny slovníky, které překládají ze stejného jazyka jako právě vybraný slovník.
Předdefinovaná skupina slovníků je ignorována.


Fulltextové hledání

Chcete rychle vidět, co umí fulltextové hledání? Vložte hledané heslo do vstupní řádky a v panelu nástrojů či menu stiskněte funkci Fulltextové hledání.

V záložce Full se objeví nalezená hesla. V seznamu nalezených hesel se můžete pohybovat a klikat na ty, která chcete zobrazit.

Tím to nekončí. Stejně jako u Globálního hledání i zde můžete využít jazykově orientovaného hledání. Volbou Fulltextové hledání (jazykově) v menu či Fulltextové hledání v panelu nástrojů doplněným stiskem Ctrl dojte k automatickému fulltextovému pohledání všech slovníků, které překládají z jazyka, jako právě vybraný slovník. Nalezená hesla jsou uspořádána do přehledné stromové struktury.

Poslední možností, jak vyvolat fulltextové prohledávání, je menu položka Fulltextové hledání (volby) či v panelu nástrojů Fulltextové hledání doprovázené stiskem klávesy Shift. Tato volba nedělá nic jiného, než že vám nabídne následující dialog:

Jak vyplývá už ze záhlaví, můžete v tomto dialogu vložit hledaný text, předefinovat implicitní operátor (AND nebo OR), ale hlavně, určit slovníky, ve kterých chcete hledat. Funkce Všechny / Pouze tento / Stejný jazyk / Jako globální vám je pomohou vybrat.

Následuje popis syntaxe, kterou použijete při hledání složitějších výrazů:

Vyhledání jednoho slova
 | Příklad - radost Do vstupní řádku vepíšeme výraz radost. Vyhledá se veškerý výskyt výrazu radost. Během hledání se nerozlišují malá a velká písmena, a proto stejné výsledky obdržíme i při dotazu zadaném velkými písmeny: RADOST. Hledání můžeme provést pouze v jednom vybraném slovníku nebo ve více slovnících najednou.
Logické operátory
AND | Operátor AND slouží k vyhledání dvou a více slov najednou. Příklad - mít AND radost (operátor AND muže být zapsán i malými písmeny). Výsledek: Vyhledají se veškerá hesla, v nichž se kdekoli vyskytuje výraz mít a zároveň také výraz radost.
NEAR | Operátor NEAR slouží k vyhledání slov, které jsou u sebe blízko. Cím jsou vyhledaná slova blíže, tím výše budou daná hesla uvedena v soupisu vyhledaných hesel. Příklad - mít NEAR radost Výsledek: Vyhledají se veškerá hesla, v nichž výrazy mít a radost jsou od sebe vzdáleny nejvíce o 50 slov (vzdálenost můžete změnit v nastavení).
OR | Operátor OR slouží například k vyhledání synonym nebo podobných slov. Pokud zapíšete více výrazu bez operátoru OR, budou takové výrazy považovány za ucelené slovní spojení a budou tedy vyhledávány jako slovní spojení. Příklad - kulhat OR belhat Výsledek: Vyhledají se veškerá hesla, v nichž se vyskytuje bud výraz kulhat, nebo výraz belhat, přičemž v daném hesle nemusí být nutně oba výrazy zároveň.
NOT | Operátor NOT slouží k vymezení procesu hledání tím, že vyloučí určitá slova. Příklad - kolo NOT ozubené Výsledek: Vyhledají se veškerá hesla, v nichž se vyskytuje výraz kolo, ale bez výrazu ozubené.
* | Znak * (hvězdička) nahrazuje libovolný počet písmen kdekoli ve slově (na začátku, uprostřed, nebo konci). Příklad - key* Výsledek: key, keying, keyhole, keyboard, a tak dále.
? | Znak ? (otazník) zastupuje libovolný znak ve slově. Často využijeme v českých dotazech, protože předem nemůžeme vědět, zda hledaný výraz či slovní spojení bude ve slovníku v prvním pádě. Příklad - ploch? NEAR noh? Cíl dotazu: Vyhledat slovní spojení plochá noha nebo ploché nohy. Výsledek: Vyhledají se hesla se se slovním spojením plochá noha nebo ploché nohy.

Příklady

Hledaný výraz | Zápis v okně hledání
mít radost | mít NEAR radost
kulhat NEBO belhat se | kulhat OR belhat
všechny výrazy pro "kolo", ale ne pro "kolo ozubené" | kolo NOT ozubené
všechny výrazy začínající v angličtině na "key" | key*
plochá noha | ploch? near noh?
přijít nazmar | přijít NEAR nazmar
IDIOM: nosit dříví do lesa | dříví NEAR les
IDIOM: být v koncích | být NEAR "v koncích"
pustit k vodě | pustit NEAR "k vodě"
všechny výrazy pro školu, učiliště, univerzitu, střední školu a vysokou školu | škola or učiliště or univerzita or (střední škola) or (vysoká škola)
Neznámý výraz | Zápis v okně hledání
storage heater | storage NEAR heater
IDIOM: keep the ball rolling | ball NEAR rolling


Hledání v textu

Hledání v textu je trošku speciální záležitost.

Poté, co zapnete režim 'Překlad v textu', je program Yap stále viditelný na obrazovce. Pokud potřebujete ve vaší aplikaci nalézt a přeložit nějaké slovo, stačí ho označit a zkopírovat do schránky (Clipboard), zpravidla Ctr+C.
V tom okamžiku ho Yap převezme, začne hledat a zobrazí výsledek.

Prostudujte si dobře Nastavení programu Yap, abyste tuto funkci využili co možná nejlépe.


Memobox

Taky znáte situaci, kdy ve slovníku naleznete první slovo, druhé, třetí, ... , pak zjistíte, že si nemůžete vzpomenout na to první? To se vám v programu Yap 6.0 nestane.

Memobox si rozhodně zamilujete. Umožňuje uschovat nalezená hesla, následně si projít, smazat nebo dokonce vytisknout v přehledné formě.


Přidání hesla do Memoboxu

Přidat heslo do Memoboxu je snadné.

Pokud máte pocit, že byste se k právě zobrazenému heslu rád vrátil/ráda vrátila, stačí stisknout funkci Přidat heslo do Memoboxu.

To je celé.


Kontrola/oprava Memoboxu

Stiskem funkce Kontrola/oprava Memoboxu se před vámi objeví následující dialog:

Jak je patrné, Memobox obsahuje všechna hesla, která do něj byla uložena (včetně informace o zdrojovém slovníku). Pokud se rozhodnete některé smazat, stačí na něj kliknout a stisknout tlačítko Smazat.

Tlačítko Tisk umožňuje vytisknout označená hesla. Podrobnější popis naleznete na v Tisku Memoboxu.


Tisk Memoboxu

Tato funkce byla do programu Yap doplněna na přání mnoha uživatelů. Zvláště pak těch, kteří se v jazyce aktivně zdokonalují a rádi si učivo berou 'do terénu'. Funkci vyvoláte z hlavního menu volbou Tisk Memoboxu.

V dialogu, který se před vámi objeví máte náhled textu, který bude vytištěn. Pokud je vše v pořádku, stiskněte Tisk, pokud ne, můžete text upravit. Je to takové interaktivní Preview.


Práce s uživatelským slovníkem

Abyste mohli sami vytvářet kvalitní uživatelské slovníky, doplnili jsme program Yap následujícími funkcemi:

přidání a editace hesla

smazání hesel

kopírování a přenos hesel mezi slovníky

Uživatelské slovníky zaznamenaly velké změny. Nyní jsou postaveny na databázových souborech kompatibilních s MS Access 97, texty jsou uloženy v Rich Text Formátu, a tato kombinace nabízí uživatelům možnost udělat velký krok vpřed.


Přidání a editace hesla

Při vkládání nového i opravě existujícího hesla je využíván jednoduchý textový editor, který jsme pro uživatele programu Yap připravili. Vychází z ovládání jiných textových editorů pod Windows a věříme, že si s ním poradíte.

V horní části přepište klíčové slovo na název hesla, do spodní části vložte překlad či výklad. Pokud opravujete již existující heslo, pak je pole s klíčovým slovem zamčeno. Můžete pouze opravovat překlad.

Úpravy potvrdíte stiskem Aktualizovat.


Smazání hesel

Informace o mazání hesla/hesel z uživatelského slovníku je zde uváděna pouze pro úplnost. Jistě jste na to přišli už sami.

V seznamu hesel vyberte ta, která chcete smazat a zvolte funkci Smazat heslo ve slovníku. Program se vás ještě naposledy zeptá, zda jste si jisti, a pak hesla vymaže.


Kopírování/přenos hesel

Tyto dvě funkce, které můžete vyvolat z menu či nástrojového panelu jsou užitečné v okamžiku, kdy se rozhodnete organizovat hesla mezi slovníky. Ať už vyvoláte funkci pro kopírování či přesun, nabídne vám program Yap možné destinace, kam hesla poslat:

Vyberte slovník do kterého chcete hesla kopírovat/přesunout a stikněte OK.


Historie

Funkce Historie se již v minulé verzi programu Yap objevila, a v nové verzi jsme ji hodně vylepšili.

Při jakékoliv změně hesla si program Yap pamatuje, v jakém slovníku byl, jaké heslo zobrazoval a v jaké jeho části byl. Tyto informace jsou ukládány do paměti a kdykoliv k nahlédnutí v záložce Historie.

Pro pohyb v historii můžete rovněž využít položky z menu nebo ovládání tlačítky z ovládacích panelů.

Funkce historie se dá pozastavit v Nastavení programu.